> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Undo all pending changes to a specific doc that has not been published; this is not an ACID transactional operation in that we remove all changes made to a doc in a session and not just the last operation.



## OpenAPI

````yaml /api-reference/4.2/service-query-rewrite.json delete /query-rewrite/undo/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-rewrite
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-rewrite
paths:
  /query-rewrite/undo/{id}:
    delete:
      tags:
        - 4.2 Query Rewrite API
      summary: >-
        Undo all pending changes to a specific doc that has not been published;
        this is not an ACID transactional operation in that we remove all
        changes made to a doc in a session and not just the last operation.
      operationId: undo
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: context
          in: query
          required: false
          schema:
            type: string
        - name: editSessionId
          in: query
          required: false
          schema:
            type: string
      responses:
        default:
          description: successful operation

````